From 0ab53339c7827c88c9d39b8874a0f2edadff99da Mon Sep 17 00:00:00 2001
From: Upgrade Helper <uh@not.set>
Date: Sat, 1 Nov 2025 10:59:51 +0000
Subject: [PATCH] python3-cffi: upgrade 1.17.1 -> 2.0.0

---
 ...ize_t-to-avoid-c-11-narrowing-warnin.patch | 34 ---------------
 ...3-cffi_1.17.1.bb => python3-cffi_2.0.0.bb} | 41 +++++++++++++++++--
 2 files changed, 37 insertions(+), 38 deletions(-)
 delete mode 100644 meta/recipes-devtools/python/python3-cffi/0001-Cast-offset-to-size_t-to-avoid-c-11-narrowing-warnin.patch
 rename meta/recipes-devtools/python/{python3-cffi_1.17.1.bb => python3-cffi_2.0.0.bb} (36%)

diff --git a/meta/recipes-devtools/python/python3-cffi/0001-Cast-offset-to-size_t-to-avoid-c-11-narrowing-warnin.patch b/meta/recipes-devtools/python/python3-cffi/0001-Cast-offset-to-size_t-to-avoid-c-11-narrowing-warnin.patch
deleted file mode 100644
index a919f4f6fb..0000000000
--- a/meta/recipes-devtools/python/python3-cffi/0001-Cast-offset-to-size_t-to-avoid-c-11-narrowing-warnin.patch
+++ /dev/null
@@ -1,34 +0,0 @@
-From 2ac63f8765e62f1492ef3ee06791636700bc6cfb Mon Sep 17 00:00:00 2001
-From: triallax <triallax@tutanota.com>
-Date: Sat, 29 Jun 2024 15:25:24 +0100
-Subject: [PATCH] Cast offset to size_t to avoid c++11-narrowing warning (#92)
-
-e.g. with clang 18 on chimera linux:
-
-_CFFI_test_verify_anonymous_struct_with_star_typedef.cpp:583:10: error: non-constant-expression cannot be narrowed from type 'long' to 'size_t' (aka 'unsigned long') in initializer list [-Wc++11-narrowing]
-  583 |   { "a", ((char *)&((foo_t)4096)->a) - (char *)4096,
-      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-_CFFI_test_verify_anonymous_struct_with_star_typedef.cpp:583:10: note: insert an explicit cast to silence this issue
-  583 |   { "a", ((char *)&((foo_t)4096)->a) - (char *)4096,
-      |          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-      |          static_cast<size_t>(                      )
-
-Upstream-Status: Backport [https://github.com/python-cffi/cffi/pull/92]
-Signed-off-by: Khem Raj <raj.khem@gmail.com>
----
- src/cffi/recompiler.py | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/src/cffi/recompiler.py b/src/cffi/recompiler.py
-index ac6c163e..14d578ee 100644
---- a/src/cffi/recompiler.py
-+++ b/src/cffi/recompiler.py
-@@ -953,7 +953,7 @@ class Recompiler:
-                 if cname is None or fbitsize >= 0:
-                     offset = '(size_t)-1'
-                 elif named_ptr is not None:
--                    offset = '((char *)&((%s)4096)->%s) - (char *)4096' % (
-+                    offset = '(size_t)(((char *)&((%s)4096)->%s) - (char *)4096)' % (
-                         named_ptr.name, fldname)
-                 else:
-                     offset = 'offsetof(%s, %s)' % (tp.get_c_name(''), fldname)
diff --git a/meta/recipes-devtools/python/python3-cffi_1.17.1.bb b/meta/recipes-devtools/python/python3-cffi_2.0.0.bb
similarity index 36%
rename from meta/recipes-devtools/python/python3-cffi_1.17.1.bb
rename to meta/recipes-devtools/python/python3-cffi_2.0.0.bb
index 5a3af03d9f..074174ed4d 100644
--- a/meta/recipes-devtools/python/python3-cffi_1.17.1.bb
+++ b/meta/recipes-devtools/python/python3-cffi_2.0.0.bb
@@ -1,13 +1,46 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- LICENSE
+# +++ LICENSE
+# @@ -3,7 +3,7 @@
+#  information at the beginning of each file) all software and
+#  documentation is licensed as follows: 
+#  
+# -    The MIT License
+# +    MIT No Attribution
+#  
+#      Permission is hereby granted, free of charge, to any person 
+#      obtaining a copy of this software and associated documentation 
+# @@ -11,10 +11,7 @@
+#      restriction, including without limitation the rights to use, 
+#      copy, modify, merge, publish, distribute, sublicense, and/or 
+#      sell copies of the Software, and to permit persons to whom the 
+# -    Software is furnished to do so, subject to the following conditions:
+# -
+# -    The above copyright notice and this permission notice shall be included 
+# -    in all copies or substantial portions of the Software.
+# +    Software is furnished to do so.
+#  
+#      THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
+#      OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
+# 
+#
+
 SUMMARY = "Foreign Function Interface for Python calling C code"
 HOMEPAGE = "http://cffi.readthedocs.org/"
 LICENSE = "MIT"
-LIC_FILES_CHKSUM = "file://LICENSE;md5=5677e2fdbf7cdda61d6dd2b57df547bf"
+LIC_FILES_CHKSUM = "file://LICENSE;md5=c0158ab9b75875f3bb7fea081d388818"
 DEPENDS += "libffi python3-pycparser"
 
-SRC_URI[sha256sum] = "1c39c6016c32bc48dd54561950ebd6836e1670f2ae46128f67cf49e789c52824"
+SRC_URI[sha256sum] = "44d1b5909021139fe36001ae048dbdde8214afa20200eda0f64c068cac5d5529"
 
-SRC_URI += "file://run-ptest \
-            file://0001-Cast-offset-to-size_t-to-avoid-c-11-narrowing-warnin.patch"
+SRC_URI += "file://run-ptest"
 
 inherit pypi python_setuptools_build_meta ptest pkgconfig
 
-- 
2.47.1

